Skip to main content
POST
/
auth
/
revoke_ingest_token
/
{tokenUuid}
Revoke Ingest Token
curl --request POST \
  --url https://api.app.shinzo.ai/auth/revoke_ingest_token/{tokenUuid} \
  --header 'Authorization: Bearer <token>'

Documentation Index

Fetch the complete documentation index at: https://docs.shinzo.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authentication

Requires JWT token authentication.

Path Parameters

tokenUuid
string
required
The UUID of the token to revoke

Example Request

curl -X POST https://api.app.shinzo.ai/auth/revoke_ingest_token/itk_abc123def456 \
  -H "Authorization: Bearer <jwt_token>"

Response

{
  "message": "Token revoked successfully",
  "uuid": "itk_abc123def456",
  "revoked_at": "2025-01-20T16:00:00Z"
}

Status Codes

CodeDescription
200Token revoked successfully
401Invalid or missing JWT token
404Token not found